#include "testlib.h"

const int maxc[7] = {10, 1000, 5000, 100'000, 1'000'000, 10'000'000, 50'000'000};

const int maxn[7] = {10, 1000, 5000, 100'000, 1'000'000, 10'000'000, 50'000'000};

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);
	int group = stoi(validator.group());
	if (group) {
		--group;
	}
	int n = inf.readInt(1, maxn[group], "n");
	inf.readSpace();
	int c = inf.readInt(1, maxc[group], "c");
	inf.readEoln();
	inf.readEof();
	return 0;
}
